Bug 838159 - RFE: support Custom Debuginfo for JIT compilation
RFE: support Custom Debuginfo for JIT compilation
Status: CLOSED DUPLICATE of bug 1141968
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sergio Durigan Junior
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-06 17:33 EDT by Dave Malcolm
Modified: 2014-09-16 11:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-16 11:57:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2012-07-06 17:33:19 EDT
Description of problem:
http://sourceware.org/gdb/onlinedocs/gdb/Custom-Debug-Info.html#Custom-Debug-Info describes an interface for writing custom plugins for gdb for use when debugging JIT compilers.

I'm experimenting with PyPy's JIT compiler, and I might have a go at writing such a hook (gdb shows only partial backtraces, it doesn't seem to be able to find its way back up the stack once we're in JIT-generated machine code).

However I don't see any .h files in gdb's payload.  Should jit-reader.h be packaged?  (and is anything else needed?)

(It may be more appropriate for me to do this with a source checkout of gdb, of course).

Version-Release number of selected component (if applicable):
gdb-7.4.50.20120120-49.fc17.x86_64
Comment 1 Jan Kratochvil 2012-07-07 02:30:27 EDT
(In reply to comment #0)
> However I don't see any .h files in gdb's payload.  Should jit-reader.h be
> packaged?  (and is anything else needed?)

I did not start new gdb-devel package for it but I will do it.
Do you need f17 one or is f18 enough?
Comment 2 Tom Tromey 2012-07-09 10:52:28 EDT
I wonder whether we want a versioned install directory and/or a pkg-config file too.
Comment 3 Fedora End Of Life 2013-07-03 18:51:41 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-12-21 03:39:20 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Sergio Durigan Junior 2014-09-15 19:15:21 EDT
Taking care of this now.  See Bug 1141968 for additional details.
Comment 6 Sergio Durigan Junior 2014-09-16 11:57:55 EDT
Marking this bug as duplicate of Bug 1141968.

The fix for Rawhide has been pushed:

http://koji.fedoraproject.org/koji/buildinfo?buildID=577573

*** This bug has been marked as a duplicate of bug 1141968 ***

Note You need to log in before you can comment on or make changes to this bug.